#!/bin/bash

script=`echo $0 | sed 's/^.*\///'`
echo "$script"
if [ -e ./$script ]; then
    workdir=/tmp/$USER\_`pwd | sed 's/^.*\///'`
    rm -Rf $workdir/*
    mkdir -p $workdir
    rsync -Cav ./DEBIAN $workdir/

    rsync -Cav ./usr $workdir/

    # Version in die startup app.pm eintragen
    VER=`grep Version $workdir/DEBIAN/control | cut -d ' ' -f2`
    sed -i "s@__VERSION__@$VER@g" $workdir/usr/share/perl5/steffen/MojoPlug/SwaggerUI.pm
    echo "Version $VER"

    chmod -R g-s $workdir
    fakeroot dpkg-deb -b $workdir ./

    echo "Installed-Size:"
    du -h -k --max-depth=0 $workdir

else
    echo Das Script $script muss im aktuellen Verzeichnis liegen!
    echo Bitte dorthin wechseln und nochmal probieren.
fi
